hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eli Collins (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-8722) -Dbundle.snappy doesn't work unless -Dsnappy.lib is set
Date Thu, 23 Aug 2012 00:25:42 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-8722?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13439969#comment-13439969
] 

Eli Collins commented on HADOOP-8722:
-------------------------------------

Maybe just update BUILDING.txt to indicate snappy.lib is required? Seems like with this patch
we could end up copying two snappy lib files and think it's fine to just doc the required
dirs.
                
> -Dbundle.snappy doesn't work unless -Dsnappy.lib is set
> -------------------------------------------------------
>
>                 Key: HADOOP-8722
>                 URL: https://issues.apache.org/jira/browse/HADOOP-8722
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: documentation
>    Affects Versions: 2.2.0-alpha
>            Reporter: Eli Collins
>            Assignee: Colin Patrick McCabe
>            Priority: Minor
>         Attachments: HADOOP-8722.002.patch
>
>
> HADOOP-8620 changed the default of snappy.lib from snappy.prefix/lib to empty.  This,
in turn, means that you can't use {{-Dbundle.snappy}} without setting {{-Dsnappy.lib}}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message